## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionValidateElementName

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  XMLValueFunctionValidateElementNameImpl

public interface XMLValueFunctionValidateElementName
extends SQLQueryObject

A representation of the model object 'XML Value Function Validate Element Name'.

The following features are supported:

- `Validate Element`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementName()`

Method Summary
`XMLValueFunctionValidateElement` `getValidateElement()` Returns the value of the 'Validate Element' container reference.
`void` `setValidateElement(XMLValueFunctionValidateElement value)` Sets the value of the '`Validate Element`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValidateElement

    public XMLValueFunctionValidateElement getValidateElement()

  Returns the value of the 'Validate Element' container reference. It is bidirectional and its opposite is '`Validate Element Name`'.

  If the meaning of the 'Validate Element' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate Element' container reference.
  See Also:
    `setValidateElement(XMLValueFunctionValidateElement)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateElementName_ValidateElement()`, `XMLValueFunctionValidateElement.getValidateElementName()`

### setValidateElement

    public void setValidateElement(XMLValueFunctionValidateElement value)

  Sets the value of the '`Validate Element`' container reference.

  Parameters:
    `value` - the new value of the 'Validate Element' container reference.
  See Also:
    `getValidateElement()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.